## mpb 1.4.2

=== debian/changelog ===
mpb (1.4.2-18build1) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 16 Dec 2013 01:33:02 -0500

mpb (1.4.2-18) unstable; urgency=low

  * debian/patches/13-hdf5-1.6-api.patch: new patch, enables HDF5 1.6
    compatibility macro definitions. (Closes: #657203)
    patch thankfully created by Sébastien Villemot

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 19 Feb 2012 15:00:00 +0100

mpb (1.4.2-17) unstable; urgency=low

  * debian/control: depend on debhelper >=8
  * debian/control: dependency on dpatch removed
  * debian/control: standards version changed to 3.9.2 (no changes)
  * debian/control: some Build-Depensds dropped (got in with other dependencies)
  * debian/control: Recommends: loop solved
  * debian/rules: build-arch and build-indep according to lintian
                  recommendation added
  * debian/rules: dpatch targets removed
  * debian/README.source: changed from dpatch to quilt
  * debian/source/format: 3.0 (quilt)
  * debian/copyright: changed to DEP5

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 13 Dec 2011 18:00:00 +0100

mpb (1.4.2-16) unstable; urgency=low

  * debian/control: dependency of mpb-mpi corrected
  * debian/control: dependency on libhdf5-seriald-dev added again

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 11 Nov 2010 18:00:00 +0100

mpb (1.4.2-15) unstable; urgency=low

  * debian/control: bump Standards Version to 3.9.1. (No changes needed).
  * debian/control: Conflicts: replaced by Breaks: for mpb-doc
  * debian/control: add dependency on mpi-default-dev (Closes: #571444)
    - this is needed to always depend on a working version of MPI on any
      architecture
    - dependency on libmpich1.0-dev and libhdf5-seriald-dev is not needed
      anymore
    - remove build-conflicts on lam-dev, this is automatically handled by
      mpi-default-dev now

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 28 Jul 2010 19:00:00 +0200

mpb (1.4.2-14) unstable; urgency=low

  * debian/control: bump Standards Version to 3.8.3. (No changes needed).
  * debian/control: add ${misc:Depends} to all targets
  * debian/control: DM-Upload-Allowed added
  * debian/control: dependency on dpatch added
  * changed all modifications in src files to patches
  * debian/rules: patch targets added
  * debian/copyright: copyright refers to GPL-2 instead of GPL now
  * README.source added
  * patch for sh4 support added (Closes: #561446)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 06 Jan 2010 18:00:00 +0100

mpb (1.4.2-13) unstable; urgency=low

  * New Maintainer (Closes: #481040)
  * Bump Standards Version to 3.8.1. (No changes needed).
  * according to request in #518804 mpb must depend on guile-1.8 now
  * debian/control: make dependency of debhelper >=7.2.3 due to
    postinst-has-useless-call-to-install-docs lintian warning

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 14 Apr 2009 20:00:00 +0200

mpb (1.4.2-12) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Move homepage from package descriptions to source. (Closes: #439577).
  * mpb-ctl/Makefile.in remove -s on INSTALL. (Closes: #437585).
  * Minor layout change to debian/copyright layout.
    + Update FSF address.
  * Fix some manpage warnings.
  * Bump Standards Version to 3.8.0. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Fri, 05 Dec 2008 11:06:59 -0500

mpb (1.4.2-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use gfortran, Closes: #468879, #467351
    Thanks Rafael Laboissiere, Kumar Appaiah
  * use binNMU compatigle binary:Version substvar.

 -- Riku Voipio <riku.voipio@iki.fi>  Sun, 09 Mar 2008 13:21:16 +0200

mpb (1.4.2-11) unstable; urgency=low

  * New Maintainer (Closes: #393107)
  * watch file
  * fix --host and --build in debian/rules
  * Upstream author in the manpage
  * Changed debhelper and policy version

 -- LoÃ¯c Le Guyader <loic.leguyader@laposte.net>  Sat, 28 Apr 2007 10:03:26 +0200

mpb (1.4.2-10) unstable; urgency=low

  * Orphan package.

 -- Josselin Mouette <joss@debian.org>  Sun, 15 Oct 2006 03:16:43 +0200

mpb (1.4.2-9) unstable; urgency=low

  * Rebuild against libctl 3.
  * Build-depend on it.
  * Use gfortran instead of g77.
  * Standards-version is 3.7.0.

 -- Josselin Mouette <joss@debian.org>  Mon,  1 May 2006 23:32:33 +0200

mpb (1.4.2-8) unstable; urgency=low

  * Rebuild for the C++ transition.
    + Build-depend on latest mpich and hdf5 packages.
  * Standards-version is 3.6.2.

 -- Josselin Mouette <joss@debian.org>  Sat,  3 Sep 2005 17:14:32 +0200

mpb (1.4.2-7) unstable; urgency=low

  * Rebuild against HDF5 1.6.4.
  * Build against atlas3, with a fallback on lapack3.
  * Use the new mpich dependency system.

 -- Josselin Mouette <joss@debian.org>  Sat, 18 Jun 2005 01:26:32 +0200

mpb (1.4.2-6) unstable; urgency=low

  * debian/control: use atlas 2 on architectures where atlas 3 doesn't work.

 -- Josselin Mouette <joss@debian.org>  Mon, 24 May 2004 13:40:05 +0200

mpb (1.4.2-5) unstable; urgency=low

  * Rebuild against HDF5 1.6.2 and atlas 3.
  * Various cleanups in debian/rules.
  * Remove recommendation (closes: #240543).
  * Provide examples in mpb-doc (closes: #243220).

 -- Josselin Mouette <joss@debian.org>  Thu, 13 May 2004 16:30:27 +0200

mpb (1.4.2-4) unstable; urgency=low

  * Rebuild against HDF5 1.6.1.
  * Standards-version is 3.6.1, no changes.
  * Use debian/compat instead of DH_COMPAT.

 -- Josselin Mouette <joss@debian.org>  Tue,  4 Nov 2003 09:28:17 +0100

mpb (1.4.2-3) unstable; urgency=low

  * Rebuild against new hdf5 packages.

 -- Josselin Mouette <joss@debian.org>  Thu, 24 Jul 2003 12:32:18 +0200

mpb (1.4.2-2) unstable; urgency=low

  * Rebuild against HDF5 1.6.0.
  * Now mpb-doc suggests doc-base.
  * Standards-version is 3.6.0.
  * Removed shlibs.local.

 -- Josselin Mouette <joss@debian.org>  Wed, 16 Jul 2003 22:53:01 +0200


