=== debian/control ===
Source: mpb
Section: science
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 8), 
  autotools-dev, 
  liblapack-dev, 
  fftw-dev, 
  libctl-dev (>=3.0.3-3), 
  gfortran, 
  mpi-default-dev, 
  libhdf5-serial-dev
Standards-Version: 3.9.2
Homepage: http://ab-initio.mit.edu/mpb/
DM-Upload-Allowed: yes


Package: mpb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: h5utils
Suggests: mpb-doc
Description: MIT Photonic-Bands
 The MIT Photonic-Bands package is a free program for computing the band
 structures (dispersion relations) and electromagnetic modes of periodic
 dielectric structures, on both serial and parallel computers. It was
 developed by Steven G. Johnson at MIT in the Joannopoulos Ab Initio
 Physics group, and designed to study photonic crystal structures.

Package: mpb-mpi
Architecture: any
Depends: ${shlibs:Depends}, mpb (>= ${binary:Version}), mpi-default-bin, ${misc:Depends}
Description: MIT Photonic-Bands, parallel (mpich) version
 The MIT Photonic-Bands package is a free program for computing the band
 structures (dispersion relations) and electromagnetic modes of periodic
 dielectric structures, on both serial and parallel computers. It was
 developed by Steven G. Johnson at MIT in the Joannopoulos Ab Initio
 Physics group, and designed to study photonic crystal structures.
 .
 This package contains a parallel version of MPB, using the mpich
 implementation of the MPI protocol. It allows for calculations on 
 clusters of computers.
 .
 Note that you must install libhdf5-mpich if your cluster doesn't have
 a common filesystem available on all nodes.

Package: mpb-doc
Architecture: all
Breaks: mpb (<= 1.3-2)
Section: doc
Recommends: libctl-doc
Depends: ${misc:Depends}
Suggests: doc-base, mpb
Description: MIT Photonic-Bands documentation
 The MIT Photonic-Bands package is a free program for computing the band
 structures (dispersion relations) and electromagnetic modes of periodic
 dielectric structures, on both serial and parallel computers. It was
 developed by Steven G. Johnson at MIT in the Joannopoulos Ab Initio
 Physics group, and designed to study photonic crystal structures.
 .
 This package contains the documentation in HTML format.
