## mpb 1.5

=== debian/changelog ===
mpb (1.5-2build4) xenial; urgency=medium

  * No-change rebuild for openmpi on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Feb 2016 19:50:01 +0000

mpb (1.5-2build3) xenial; urgency=medium

  * No-change rebuild for openmpi transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Feb 2016 11:31:51 +0000

mpb (1.5-2build2) wily; urgency=medium

  * No-change rebuild for hdf5 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Oct 2015 12:22:45 +0000

mpb (1.5-2build1) vivid; urgency=medium

  * Rebuild against libhdf5-8.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 06 Nov 2014 12:38:30 +0000

mpb (1.5-2) unstable; urgency=low

  * Support hdf5 1.8.13 new packaging layout. (Closes: #756685)
    (patch by Gilles Filippini <pini@debian.org>)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 02 Aug 2014 11:00:00 +0200

mpb (1.5-1) unstable; urgency=low

  * upload to unstable
  * new upstream version (Closes: #743465)
  * debian/control: use guile 2 (Closes: #746008)
  * debian/control: use libctl with guile 2
  * debian/control: bump Standards Version to 3.9.5. (No changes needed).
  * debian/control: depend on dh_autoreconf
  * debian/control: remove obsolete DM-Upload-Allowed:
  * debian/rules: use --with autoreconf

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 02 May 2014 18:00:00 +0200

mpb (1.5~rc1-1) experimental; urgency=low

  * new upstream release
  * must_malloc() stuff from guile is gone (Closes: #642260) (LP: #855044)
  * debian/rules: change --with-libctl to libctl instead of libctl3
		  (LP: 993841) (LP: #993958)
  * debian/control: need dependency on libctl 3.2.1
  * debian/control: switched to dh 9
  * debian/control: bump Standards Version to 3.9.3. (No changes needed).
  * debian/control: use MPI version of hdf5 (LP: #704170)
                    => mpi-default-dev, libhdf5-mpi-dev, libfftw3-mpi-dev

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 20 Nov 2012 18:00:00 +0100
