=== debian/control ===
--- 
+++ 
@@ -2,22 +2,24 @@
 Section: science
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper (>= 8), 
+Build-Depends: debhelper (>= 9), 
   autotools-dev, 
   liblapack-dev, 
-  fftw-dev, 
-  libctl-dev (>=3.0.3-3), 
+  libfftw3-dev (>=3.3), 
+  libctl-dev (>=3.2.2), 
   gfortran, 
+  guile-2.0-dev,
   mpi-default-dev, 
-  libhdf5-serial-dev
-Standards-Version: 3.9.2
+  libhdf5-mpi-dev,
+  libfftw3-mpi-dev,
+  dh-autoreconf
+#  libhdf5-dev
+Standards-Version: 3.9.5
 Homepage: http://ab-initio.mit.edu/mpb/
-DM-Upload-Allowed: yes
-
 
 Package: mpb
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, mpb-scm
 Recommends: h5utils
 Suggests: mpb-doc
 Description: MIT Photonic-Bands
@@ -29,7 +31,9 @@
 
 Package: mpb-mpi
 Architecture: any
-Depends: ${shlibs:Depends}, mpb (>= ${binary:Version}), mpi-default-bin, ${misc:Depends}
+Depends: ${shlibs:Depends}, mpi-default-bin, ${misc:Depends}, mpb-scm
+Recommends: h5utils
+Suggests: mpb-doc
 Description: MIT Photonic-Bands, parallel (mpich) version
  The MIT Photonic-Bands package is a free program for computing the band
  structures (dispersion relations) and electromagnetic modes of periodic
@@ -40,9 +44,6 @@
  This package contains a parallel version of MPB, using the mpich
  implementation of the MPI protocol. It allows for calculations on 
  clusters of computers.
- .
- Note that you must install libhdf5-mpich if your cluster doesn't have
- a common filesystem available on all nodes.
 
 Package: mpb-doc
 Architecture: all
@@ -59,3 +60,31 @@
  Physics group, and designed to study photonic crystal structures.
  .
  This package contains the documentation in HTML format.
+
+Package: mpb-dev
+Architecture: any
+Breaks: mpb (<= 1.3-2)
+Section: devel
+Depends: ${misc:Depends}
+Suggests: mpb
+Description: MIT Photonic-Bands development files
+ The MIT Photonic-Bands package is a free program for computing the band
+ structures (dispersion relations) and electromagnetic modes of periodic
+ dielectric structures, on both serial and parallel computers. It was
+ developed by Steven G. Johnson at MIT in the Joannopoulos Ab Initio
+ Physics group, and designed to study photonic crystal structures.
+ .
+ This package contains the header files for development of own software.
+
+Package: mpb-scm
+Architecture: all
+Depends: ${misc:Depends}
+Description: MIT Photonic-Bands initialisation files
+ The MIT Photonic-Bands package is a free program for computing the band
+ structures (dispersion relations) and electromagnetic modes of periodic
+ dielectric structures, on both serial and parallel computers. It was
+ developed by Steven G. Johnson at MIT in the Joannopoulos Ab Initio
+ Physics group, and designed to study photonic crystal structures.
+ .
+ This package contains files for initialisation of MPB.
+
