=== debian/watch ===
version=3

http://ab-initio.mit.edu/wiki/index.php/MPB_download http://ab-initio\.mit\.edu/mpb/mpb-(.*)\.tar\.gz
