## mpb 1.7.0

=== debian/changelog ===
mpb (1.7.0-4) unstable; urgency=medium

  * debian/control: build everything on any architecture (Closes: #917947)
  * debian/rules: Pass SH_JOB=/bin/bash to configure (Closes: #915296)
                   - fixes reproducible build on merged-usr vs non-merged
                  Thanks to Andreas Henriksson for the patch.

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 02 Jan 2019 11:32:14 +0100

mpb (1.7.0-3) unstable; urgency=medium

  * upload to unstable
  * debian/control: add salsa VCS URLs
  * debian/control: build on any architecture again

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 25 Dec 2018 15:32:14 +0100

mpb (1.7.0-2) experimental; urgency=medium

  * debian/control: depend on guile 2.2 (Closes: #885218)
  * debian/control: depend on libctl >= 4.1.4
                    (this is the first guile 2.2 version)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 20 Nov 2018 19:32:14 +0100

mpb (1.7.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump Standards Version to 4.2.1 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 18 Nov 2018 16:32:14 +0100

mpb (1.6.2-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump Standards Version to 4.1.5 (no changes)
  * debian/rules: remove get-orig-source

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 14 Aug 2018 22:06:40 +0200

mpb (1.6.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: use dh11
  * debian/control: bump Standards Version to 4.1.3 (no changes)
  * debian/control: remove dependencies: autotools-dev, dh-autoreconf
  * debian/missing-sources: take some files from libctl
  * debian/docs: NEWS is now NEWS.md
  * debian/mpb-doc.examples: examples are in different directory now
  * debian/rules: remove extra license file in doc package

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 12 Feb 2018 18:13:24 +0100

mpb (1.5-3) unstable; urgency=low

  * don't build package on mipsel (Closes: #846923)
  * debian/control: bump Standards Version to 4.1.2 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 13 Dec 2017 19:00:00 +0100
