=== debian/control ===
--- 
+++ 
@@ -2,20 +2,19 @@
 Section: science
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper (>= 9), 
-  autotools-dev, 
-  liblapack-dev, 
-  libfftw3-dev (>=3.3), 
-  libctl-dev (>=3.2.2), 
-  gfortran, 
-  guile-2.0-dev,
-  mpi-default-dev, 
+Build-Depends: debhelper (>= 11),
+  liblapack-dev,
+  libfftw3-dev (>=3.3),
+  libctl-dev (>=4.1.4),
+  gfortran,
+  guile-2.2-dev,
+  mpi-default-dev,
   libhdf5-mpi-dev,
-  libfftw3-mpi-dev,
-  dh-autoreconf
-#  libhdf5-dev
-Standards-Version: 3.9.5
+  libfftw3-mpi-dev
+Standards-Version: 4.2.1
 Homepage: http://ab-initio.mit.edu/mpb/
+Vcs-Browser: https://salsa.debian.org/alteholz/mpb
+Vcs-Git: https://salsa.debian.org/alteholz/mpb.git
 
 Package: mpb
 Architecture: any
@@ -42,7 +41,7 @@
  Physics group, and designed to study photonic crystal structures.
  .
  This package contains a parallel version of MPB, using the mpich
- implementation of the MPI protocol. It allows for calculations on 
+ implementation of the MPI protocol. It allows for calculations on
  clusters of computers.
 
 Package: mpb-doc
@@ -87,4 +86,3 @@
  Physics group, and designed to study photonic crystal structures.
  .
  This package contains files for initialisation of MPB.
-
