## mpb 1.8.0

=== debian/changelog ===
mpb (1.8.0-1) experimental; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 10 May 2019 18:12:46 +0200

mpb (1.7.0-5) sid; urgency=medium

  * debian/control: update Homepage:
  * debian/control: bump Standards Version to 4.3.0 (no changes)
  * debian/copyright: update Upstream-Source:
  * add patch to avoid zdotc on mipsel

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 01 Feb 2019 19:32:14 +0100
