## mpb 1.9.0

=== debian/changelog ===
mpb (1.9.0-2) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 05 Dec 2019 19:57:55 +0000

mpb (1.9.0-1) experimental; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 25 Aug 2019 21:07:55 +0000
