=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: science
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper (>= 11),
-  liblapack-dev,
-  libfftw3-dev (>=3.3),
-  libctl-dev (>=4.1.4),
-  gfortran,
-  guile-2.2-dev,
-  mpi-default-dev,
-  libhdf5-mpi-dev,
-  libfftw3-mpi-dev
-Standards-Version: 4.2.1
-Homepage: http://ab-initio.mit.edu/mpb/
+Build-Depends: debhelper (>= 11)
+	, liblapack-dev
+	, libfftw3-dev (>=3.3)
+	, libctl-dev (>=4.3.0)
+	, gfortran
+	, guile-2.2-dev
+	, mpi-default-dev
+	, libhdf5-mpi-dev
+	, libfftw3-mpi-dev
+	, quilt
+Standards-Version: 4.3.0
+Homepage: https://mpb.readthedocs.io
 Vcs-Browser: https://salsa.debian.org/alteholz/mpb
 Vcs-Git: https://salsa.debian.org/alteholz/mpb.git
