=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 # export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+arch = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 install_file    = /usr/bin/install -p -o root -g root -m 644
 CONFIG_OPTS = --build=$(DEB_BUILD_GNU_TYPE) \
@@ -14,6 +15,8 @@
 	      --disable-silent-rules \
 	      --with-libctl=/usr/share/libctl \
 	      --enable-maintainer-mode
+
+CFLAGS += -fPIC
 
 DEST_DIR = $(CURDIR)/debian/build-tmp/mpb/usr
 DEST_DIR_MPI = $(CURDIR)/debian/build-tmp/mpb-mpi/usr
@@ -51,6 +54,13 @@
 #	dh_auto_configure -- $(CONFIG_OPTS)
 
 override_dh_auto_build:
+	echo ${arch}
+	# there is a problem with zdotc on mipsel
+	# so deactivate the last patch except
+	# on mipsel
+ifneq ($(arch),mipsel)
+	quilt pop
+endif
 	# normal version
 	echo "Step1: normal version start"
 	#XXX dh_auto_configure -- $(CONFIG_OPTS)
