## mpb 1.10.0

=== debian/changelog ===
mpb (1.10.0-1build1) groovy; urgency=medium

  * No-change rebuild against libhdf5-103-1

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 13 May 2020 13:13:55 +0000

mpb (1.10.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: bump Standards Version to 4.5.0 (no changes)
  * debian/control: use dh12

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 13 Mar 2020 19:42:05 +0100
