## mpb 1.11.1

=== debian/changelog ===
mpb (1.11.1-3) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 06 Jan 2021 22:17:01 +0100

mpb (1.11.1-2) experimental; urgency=medium

  * upload to experimental
  * debian/control: depend on guile-3.0 (Closes: #969687)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 10 Dec 2020 18:17:01 +0100

mpb (1.11.1-1) unstable; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 29 Nov 2020 15:17:01 +0000
