=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: science
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper (>= 11)
+Build-Depends: debhelper-compat (= 12)
 	, liblapack-dev
 	, libfftw3-dev (>=3.3)
 	, libctl-dev (>=4.3.0)
 	, gfortran
-	, guile-2.2-dev
+	, guile-3.0-dev
 	, mpi-default-dev
 	, libhdf5-mpi-dev
 	, libfftw3-mpi-dev
 	, quilt
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://mpb.readthedocs.io
 Vcs-Browser: https://salsa.debian.org/alteholz/mpb
 Vcs-Git: https://salsa.debian.org/alteholz/mpb.git
