=== debian/rules ===
--- 
+++ 
@@ -64,7 +64,8 @@
 	# normal version
 	echo "Step1: normal version start"
 	#XXX dh_auto_configure -- $(CONFIG_OPTS)
-	F77=gfortran CC=mpicc SH_JOB=/bin/bash ./configure $(CONFIG_OPTS)
+	-F77=gfortran CC=mpicc SH_JOB=/bin/bash ./configure $(CONFIG_OPTS)
+	cat config.log
 	dh_auto_build
 	make install prefix=$(DEST_DIR)
 	make clean
