## mpb 1.12.0

=== debian/changelog ===
mpb (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: remove mipsel dependent code as it no longer belongs
                  to the list of supported architectures
  * debian/control: use dh13
  * debian/control: bump Standards Version to 4.7.2 (no changes)
  * debian/not-installed: added, as dh_missing behaves strange
  * debian/clean: added (Closes: #1045853)
  * debian/upstream/metadata: added

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 11 Aug 2025 12:48:19 +0200

mpb (1.11.1-6) unstable; urgency=medium

  * take care of gcc14 issues (Closes: #1075290)
  * debian/control: bump Standards Version to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 02 Aug 2024 23:17:01 +0200

mpb (1.11.1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with -Werror=implicit-function-declaration (Closes: #1066421).

 -- Andrey Rakhmatullin <wrar@debian.org>  Thu, 11 Apr 2024 23:13:16 +0500

mpb (1.11.1-5) unstable; urgency=medium

  * debian/control: bump Standards Version to 4.6.1 (no changes)
  * debian/watch: update github watch file

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 14 Dec 2022 22:17:01 +0100

mpb (1.11.1-4) unstable; urgency=medium

  * remove example makefile to allow reproducible build of package
    thanks to Simon McVittie for the patch (CLoses: #993250)
    Autotools build systems are generally not intended to be portable
    between directories or between systems, and this Makefile contains
    absolute paths to the package's build directory and detected absolute
    paths to tools such as grep, making it non-reproducible.
  * debian/control: bump Standards Version to 4.6.0 (no changes)
  * debian/control: add Rules-Requires-Root:

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 15 Sep 2021 22:17:01 +0200
