=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: science
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 	, liblapack-dev
 	, libfftw3-dev (>=3.3)
 	, libctl-dev (>=4.3.0)
@@ -12,10 +12,11 @@
 	, libhdf5-mpi-dev
 	, libfftw3-mpi-dev
 	, quilt
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Homepage: https://mpb.readthedocs.io
 Vcs-Browser: https://salsa.debian.org/alteholz/mpb
 Vcs-Git: https://salsa.debian.org/alteholz/mpb.git
+Rules-Requires-Root: no
 
 Package: mpb
 Architecture: any
