=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,11 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+# these are new defaults in gcc14
+# but guile-3.0 has Problems with them (even detection of SCM_* in configure
+# does not work anymore), so I am ignoring those flags until guile is fixed
+# at least mpb worked up to now and the testsuite gave no error
+export DEB_CONFIGURE_EXTRA_FLAGS=-Wno-int-conversion
 
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
@@ -16,7 +22,7 @@
 	      --with-libctl=/usr/share/libctl \
 	      --enable-maintainer-mode
 
-CFLAGS += -fPIC
+CFLAGS += -fPIC -Wno-int-conversion
 
 DEST_DIR = $(CURDIR)/debian/build-tmp/mpb/usr
 DEST_DIR_MPI = $(CURDIR)/debian/build-tmp/mpb-mpi/usr
@@ -55,12 +61,13 @@
 
 override_dh_auto_build:
 	echo ${arch}
-	# there is a problem with zdotc on mipsel
-	# so deactivate the last patch except
-	# on mipsel
-ifneq ($(arch),mipsel)
-	quilt pop
-endif
+# mipsel is no longer a supported architecture
+#	# there is a problem with zdotc on mipsel
+#	# so deactivate the last patch except
+#	# on mipsel
+#ifneq ($(arch),mipsel)
+#	quilt pop
+#endif
 	# normal version
 	echo "Step1: normal version start"
 	#XXX dh_auto_configure -- $(CONFIG_OPTS)
@@ -113,3 +120,8 @@
 override_dh_installdocs:
 	dh_installdocs
 	rm -rf debian/mpb-doc/usr/share/doc/mpb-doc/html/mpb-mkdocs-theme/license
+
+override_dh_installexamples:
+	dh_installexamples
+	rm -f debian/mpb-doc/usr/share/doc/mpb*/examples/Makefile
+	rm -f debian/mpb-doc/usr/share/doc/mpb*/examples/Makefile.gz
