=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%mpb-$1.tar.gz%" \
    https://github.com/stevengj/mpb/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
